%def_disable xmms

Name: logjam
Version: 4.5.3
Release: alt6

Summary: LogJam is a client for LiveJournal.com
Summary(ru_RU.KOI8-R): LogJam -   LiveJournal.com
Summary(ru_RU.CP1251): LogJam -   LiveJournal.com

License: GPL
Group: Networking/Other
Url: http://logjam.danga.com

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://logjam.danga.com/download/%name-%version.tar.bz2

# Patches from Fedora package
Patch2:		logjam-4.4.1-backdated.patch
Patch3:		logjam-4.4.1-cleanups.patch
Patch4:		logjam-4.4.1-fedora-desktop.patch
Patch5:		logjam-4.5-patch8-manfix.patch
Patch6:		logjam-4.5.3-gtkhtml314.patch
Patch7:		logjam-4.4.1-ru.po.asp.patch
Patch8:		logjam-4.5.3-gtkspell.patch
Patch9:		http://people.freebsd.org/~novel/patches/non-freebsd/logjam_docklet_context_menu.diff
Patch10:	logjam-4.5.3-rhythmbox-fix.patch
Patch11:	logjam-libsoup24.diff
Patch12:	logjam-4.5.3-disable-threads.patch
Patch13:	logjam-title.patch
Patch14:	logjam-4.5.3-tags.patch
Patch15:	logjam-4.5.3-default-spelllang-en-US.patch

# Additional patches (see bug #15821)
Patch20:	logjam-4.5.3-close_when_send.patch
Patch21:	logjam-4.5.3-start_in_dock2.patch
Patch22:	logjam-4.5.3-no_quit_when_docked2.patch

# Automatically added by buildreq on Mon Jun 30 2008
BuildRequires: gcc-c++ glibc-devel-static libgtkhtml3-devel libgtkspell-devel librsvg-devel libsoup2.4-devel libsqlite3-devel

%description
"LiveJournal.com... because you like to think other people care."
LogJam is a client for LiveJournal.  It sits unobtrusively in the
corner of your screen, waiting for you to have something worthwhile to
tell the world.


%if_enabled xmms
BuildRequires:	libxmms-devel

%package xmms
Summary:        LogJam helper binary to get current music from XMMS
Requires:       %name
Requires:	xmms
Group: Networking/Other

%description xmms
This is a helper binary for LogJam which is used to get the
current music from running XMMS.

%files xmms
%_bindir/%name-xmms-client
%endif


%prep
%setup -q
#%patch0 -p1
%patch2 -p1 -b .backdated
%patch3 -p1 -b .cleanups
%patch4 -p1 -b .desktop
%patch5 -p1 -b .manfix
%patch6 -p1 -b .gtkhtml318
%patch7 -p1 -b .ru.po
%patch8 -p1 -b .bz186906
%patch9 -p1 -b .docklet-context-menu
%patch10 -p1 -b .rhythmboxfix
%patch11 -p1 -b .libsoup
%patch12 -p1 -b .disable-threads
%patch13 -p1 -b .title
%patch14 -p1 -b .tags
#%patch15 -p1 -b .default-spelllang-en-US
%patch20 -p1 -b .close

%patch21 -p1 -b .dock
%patch22 -p1 -b .no_quit

%build
#%__subst 's,\.la,.so,' configure
touch protocol/liblivejournal/NEWS protocol/liblivejournal/AUTHORS NEWS AUTHORS README
%autoreconf

# Fixing locale files
%__subst 's,ru_RU,ru,'  configure
%__subst 's,uk_UA,uk,'  configure
mv po/ru_RU.po po/ru.po
mv po/uk_UA.po po/uk.po
%configure \
	--with-gtkhtml314
%if_enabled xmms
	--with-xmms
%endif

%make_build

%install
%makeinstall_std
%__install -pD -m644 images/logjam_pencil.png %buildroot%_iconsdir/%{name}.png
%find_lang logjam

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/logjam
%_datadir/pixmaps/*
%_man1dir/*
#%_menudir/*
%_datadir/applications/*
%_iconsdir/%{name}.png
%doc doc/TODO doc/README COPYING ChangeLog

%changelog
* Sat Jul 26 2008 Vitaly Lipatov <lav@altlinux.ru> 4.5.3-alt6
- do not quit in docklet mode (fix bug #15658)

* Mon Jun 30 2008 Vitaly Lipatov <lav@altlinux.ru> 4.5.3-alt5
- change packager, cleanup spec
- add patches from Fedora (also bug #15821, thanks to Andy Shevchenko)
- build with libgtkhtml3.14 (bug #15811)

* Mon Jul 23 2007 Eugene V. Horohorin <genix@altlinux.ru> 4.5.3-alt4
- buildreq updated

* Sun Jan 07 2007 Eugene V. Horohorin <genix@altlinux.ru> 4.5.3-alt3
- disable xmms helper (rebuild with --enable xmms option if you need)

* Tue May 02 2006 Eugene Suchkov <cityhawk@altlinux.ru> 4.5.3-alt2
- libenchant-devel build dependecy added

* Tue Mar 07 2006 Eugene Suchkov <cityhawk@altlinux.ru> 4.5.3-alt1
- New version build
- Now using sqlite 

* Mon Feb 13 2006 Eugene Suchkov <cityhawk@altlinux.ru> 4.5.2-alt2
- Added build dependency on libpopt-devel 

* Tue Jan 03 2006 Eugene Suchkov <cityhawk@altlinux.ru> 4.5.2-alt1
- New version build

* Mon Dec 05 2005 Eugene Suchkov <cityhawk@altlinux.ru> 4.5.1-alt2
- libgtkhtml-3.8 support
- menu entry icon added

* Tue Sep 06 2005 Eugene Suchkov <cityhawk@altlinux.ru> 4.5.1-alt1
- New version build

* Sat Apr 02 2005 Ivan Evtuhovich <brun@altlinux.ru> 4.4.1-alt2
- New build because of Sisyhpus changes

* Sun Jan 16 2005 Ivan Evtuhovich <brun@altlinux.ru> 4.4.1-alt1
- Logjam 4.4.1 released
- Enable libgtkhtml3 -- version 3.1 works just fine, appropriate patch
  added

* Sun May 16 2004 Ivan Evtuhovich <brun@altlinux.ru> 4.4.0-alt1
- Logjam 4.4.0 released
- Enable libgtkhtml3 -- version 3.1 works just fine

* Tue Feb 09 2004 Sergey Degtyaryov <maga@altlinux.ru> 4.3.0-alt2
- Logjam 4.3.0 release. 
- Disabled libgtkhtml3 -- problem with libgnomeui-2.la
- Added protocol docs to /usr/share/gtk-doc/

* Tue Feb 04 2004 Sergey Degtyaryov <maga@altlinux.ru> 4.3.0-alt1.pre2
- Logjam 4.3.0pre2

* Sat Sep 20 2003 Ivan Evtuhovich <brun@altlinux.ru> 4.2.4-alt1
- 

* Sun Jun 08 2003 Artem K. Jouravsky <ujo@altlinux.ru> 4.2.0-alt1
-  New version

* Fri May 16 2003 Artem K. Jouravsky <ujo@altlinux.ru> 4.1.2-alt1
- Initial revision.
